Subject: Re: [Idr] recap my questions and issues raised during IDR Thurs session for draft-ietf-idr-tunnel-encaps-12

From: Keyur Patel <[email-masked]>
Date: Mon, 22 Jul 2019 14:42:30 +0000

Folks,

Draft version 13 is posted. We have redefined “Remote Endpoint Sub-TLV” to “Tunnel egress endpoint”.  We also added text in section 3.1 to clarify the definition of “Tunnel egress endpoint”. Finally, IANA section is updated to request the change the name to “Tunnel egress endpoint”.

Best Regards,
Keyur

https://datatracker.ietf.org/doc/html/draft-ietf-idr-tunnel-encaps-13

From: "Acee Lindem (acee)" <[email-masked]>
Date: Wednesday, June 12, 2019 at 5:25 PM
To: Keyur Patel <[email-masked]>, John Scudder <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Robert Raszuk <[email-masked]>
Subject: Re: [Idr] recap my questions and issues raised during IDR Thurs session for draft-ietf-idr-tunnel-encaps-12
Resent-From: <[email-masked]>

All,
It occurred to me that “Remote Endpoint Sub-TLV” is somewhat of a misnomer and perhaps there would be less confusion if this were referred to as the “Tunnel Endpoint Sub-TLV”.
Thanks,
Acee

From: Idr <[email-masked]> on behalf of Keyur Patel <[email-masked]>
Date: Wednesday, June 12, 2019 at 1:57 PM
To: John Scudder <[email-masked]>
Cc: IDR List <[email-masked]>, "[email-masked]" <[email-masked]>, Robert Raszuk <[email-masked]>
Subject: Re: [Idr] recap my questions and issues raised during IDR Thurs session for draft-ietf-idr-tunnel-encaps-12

Hi John, all

To that point, I am ok with putting in a text that clarifies a  definition of a remote end-point address. What I like to do is provide a flexibility on what that address can be so it can be inserted by controllers (within the same administrative domain).

Please provide a short text describing the endpoint definition and would be happy to incorporate. 😊

Otherwise here is the suggested text for section3.1: “The Remote Endpoint Sub-TLV”:
Instead of:
3.  an address sub-field, whose length depends upon the Address
       Family.
Maybe:
3.  an address sub-field, whose length depends upon the Address
       Family. This is a remote endpoint address for the tunnel. Receiving BGP speaker of this sub-TLV MUST use this address to establish the tunnel.

Regards,
Keyur

From: John Scudder <[email-masked]>
Date: Wednesday, June 12, 2019 at 10:15 AM
To: Keyur Patel <[email-masked]>
Cc: Linda Dunbar <[email-masked]>, Robert Raszuk <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Idr] recap my questions and issues raised during IDR Thurs session for draft-ietf-idr-tunnel-encaps-12
Resent-From: <[email-masked]>

(As a contributor)

I guess the disconnect arises from how each reader parses “remote”. To me, and I guess other reviewers who also didn’t notice a problem, it is self-evident that “remote” means “the other end of the tunnel from the point of view of the router encapsulating the packet”. This conversation makes it clear that’s not the only possible reading. As mentioned earlier, I would have no objection to clarifying that point.

—John

On Jun 12, 2019, at 12:58 PM, Keyur Patel <[email-masked]<mailto:[email-masked]>> wrote:

Hi Linda,

My comments inlined #Keyur

From: Linda Dunbar <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, June 12, 2019 at 8:54 AM
To: John Scudder <[email-masked]<mailto:[email-masked]>>, Robert Raszuk <[email-masked]<mailto:[email-masked]>>
Cc: Keyur Patel <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: RE: [Idr] recap my questions and issues raised during IDR Thurs session for draft-ietf-idr-tunnel-encaps-12
Resent-From: <[email-masked]<mailto:[email-masked]>>

John and authors:

The Section 1.1 says that if R1 sends packets to R2, the remote endpoint of such tunnel is R2. Of course, from R1’s perspective, R2 is the remote endpoint.
But when R2 composes a Tunnel-Encap Update, it is not obvious and not intuitive at all that R2 needs to call itself “remote”. That is where the confusion is. I have raised this question back in -10 version, repeated the question on IDR mailing list, but no one answered.

#Keyur: Hopefully this has been clarified.

Many thanks to John responding to my questions. Those emails have helped me to understand the intent of the draft. But I am sure that many implementors who don’t participate in this discussion and future new people coming to IDR will be confused as I was. No wonder it is so hard for any new people to participate/contribute to IDR.

Simply put, this draft is to announce a node’s tunnel encapsulation capabilities (either by its own, or by a third party), Correct?

#Keyur: And the tunnel endpoint address (minimally. Abstract has it covered).

It will be very helpful to implementors, who are not participating in the discussion today, to add this one sentence to the beginning of Section 3.1:

Remote Endpoint is from receivers’ perspective. When an endpoint A announces its tunnel encapsulation capabilities, it put its own address in the “Remote Endpoint” sub-TLV.

It will be even more helpful to add this sentence to the Abstract and Introduction:
This draft is to announce an endpoint’s (a node or an interface)  tunnel encapsulation capabilities (either by its own, or by a third party), so that receivers can establish appropriate tunnels to this endpoint.

#Keyur: Super. Thanks! As a FYI: There is a text that is in Abstract section 1.2 and section 1.3 which says what you have said and I quote them.

Abstract
<snip>
This document adds support for additional
   tunnel types, and allows a remote tunnel endpoint address to be
   specified for each tunnel.

</snip>

Section 1.2
<snip>
There is no way to use the Tunnel Encapsulation attribute to
      specify the remote endpoint address of a given tunnel; [RFC5512]
      assumes that the remote endpoint of each tunnel is specified as
      the NLRI of an UPDATE of the Encapsulation-SAFI.
</snip>

Section 1.3
<snip>
Defining a new "Remote Endpoint Address sub-TLV" that can be
      included in any of the TLVs contained in the Tunnel Encapsulation
      attribute.  This sub-TLV can be used to specify the remote
      endpoint address of a particular tunnel.

</snip>
Regards,
Keyur

Thank you very much.

Linda

From: John Scudder <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, June 12, 2019 8:50 AM
To: Robert Raszuk <[email-masked]<mailto:[email-masked]>>
Cc: Keyur Patel <[email-masked]<mailto:[email-masked]>>; Linda Dunbar <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Idr] recap my questions and issues raised during IDR Thurs session for draft-ietf-idr-tunnel-encaps-12

(As an individual contributor)

On Jun 12, 2019, at 6:07 AM, Robert Raszuk <[email-masked]<mailto:[email-masked]>> wrote:

If A sends an update to B with field of "remote endpoint" does this field apply to A or B ? Is it remote from sender perspective or receiver perspective of BGP update. That is the dilemma here.

If you read section 1.1 you’ll see (emphasis added):

   In this scenario, when R1 transmits packet P, it should transmit it

   to R2 through one of the tunnels specified in U's Tunnel

   Encapsulation attribute.  The IP address of the remote endpoint of

   each such tunnel is R2.  Packet P is known as the tunnel's "payload".

That seems to leave nothing to the imagination. But wait you might say, that describes RFC 5512, how am I supposed to know tunnel-encaps has not reversed the definition? For that, we can take a look at section 5, "Semantics and Usage of the Tunnel Encapsulation attribute”, which is exactly where I as a reader would go look to find the semantics and usage, before I decided to complain they were not clear. The bulleted list in that section leaves no room for doubt as to whether the field applies to A or B: it applies to B.

So, as a reader, who is looking for clarity and not for things to complain about, I think the document is clear.

(As a co-chair)

Despite what the individual contributor said above, if the authors desire to add a short definition of “Remote Endpoint” to address these complaints, I wouldn’t have a problem with that and don’t think it would require another last call period.

Regards,

—John

---

From: Linda Dunbar <[email-masked]>
Date: Mon, 22 Jul 2019 14:50:57 +0000

Keyur,

Will the Tunnel-Encap draft also add PE WAN ports properties propagation to controlled group of peers (PEs)?
Specifically, the functionality that would help the C-PE to register its WAN Port properties.
In SDWAN scenarios, Some WAN ports are facing public internet with ISP assigned addresses, some WAN ports are assigned with private addresses which need to propagate NAT information to the trusted peers via Controllers, such as the virtual C-PEs instantiated in public Cloud DCs, and some WAN ports are facing the trusted MPLS network.

Linda

From: Idr <[email-masked]> On Behalf Of Keyur Patel
Sent: Monday, July 22, 2019 9:43 AM
To: Acee Lindem (acee) <[email-masked]>; John Scudder <[email-masked]>
Cc: [email-masked]; [email-masked]; Robert Raszuk <[email-masked]>
Subject: Re: [Idr] recap my questions and issues raised during IDR Thurs session for draft-ietf-idr-tunnel-encaps-12

Folks,

Best Regards,
Keyur

https://datatracker.ietf.org/doc/html/draft-ietf-idr-tunnel-encaps-13<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-idr-tunnel-encaps-13&data=02%7C01%7Clinda.dunbar%40futurewei.com%7Ce81eecd6b79a4bd3ec5708d70eb301ae%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636994034308649731&sdata=paB0kDdY%2FjWTXRqrONIxn99qxwlXaD3baIiM9xTAzeE%3D&reserved=0>

From: "Acee Lindem (acee)" <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, June 12, 2019 at 5:25 PM
To: Keyur Patel <[email-masked]<mailto:[email-masked]>>, John Scudder <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Robert Raszuk <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Idr] recap my questions and issues raised during IDR Thurs session for draft-ietf-idr-tunnel-encaps-12
Resent-From: <[email-masked]<mailto:[email-masked]>>

All,

From: Idr <[email-masked]<mailto:[email-masked]>> on behalf of Keyur Patel <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, June 12, 2019 at 1:57 PM
To: John Scudder <[email-masked]<mailto:[email-masked]>>
Cc: IDR List <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Robert Raszuk <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Idr] recap my questions and issues raised during IDR Thurs session for draft-ietf-idr-tunnel-encaps-12

Hi John, all

Regards,
Keyur

From: John Scudder <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, June 12, 2019 at 10:15 AM
To: Keyur Patel <[email-masked]<mailto:[email-masked]>>
Cc: Linda Dunbar <[email-masked]<mailto:[email-masked]>>, Robert Raszuk <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Idr] recap my questions and issues raised during IDR Thurs session for draft-ietf-idr-tunnel-encaps-12
Resent-From: <[email-masked]<mailto:[email-masked]>>

(As a contributor)

—John

Hi Linda,

John and authors:

Abstract
<snip>

</snip>

Section 1.2
<snip>

Section 1.3
<snip>

</snip>
Regards,
Keyur

Thank you very much.

Linda

(As a co-chair)

Regards,

—John

---

From: "Susan Hares" <[email-masked]>
Date: Mon, 22 Jul 2019 10:56:56 -0400

Linda and Keyur:

<chair hat on> 

At this point, I will channel John Scudder as well as myself. 

At this point, adding these functions to the current draft is out of scope.    The draft has past WG LC and the changes allowed are “errors” or generally accepted “textual changes”.   Keyur and his co-authors last revision was done under those constraints. 

Additional features for the tunnel encapsulation drafts will need to go in a follow-on draft.   Many people have proposed follow-on additions.  Drafts related to those follow-on (e.g. draft-hujun-idr-bgp-ipsec-00.txt). 

<chair hat off> 

Cheerily, Susan Hares

From: Idr [mailto:[email-masked]] On Behalf Of Linda Dunbar
Sent: Monday, July 22, 2019 10:51 AM
To: Keyur Patel; Acee Lindem (acee); John Scudder
Cc: [email-masked]; [email-masked]; Robert Raszuk
Subject: Re: [Idr] recap my questions and issues raised during IDR Thurs session for draft-ietf-idr-tunnel-encaps-12

Keyur, 

Linda

Folks,

Best Regards,

Keyur

https://datatracker.ietf.org/doc/html/draft-ietf-idr-tunnel-encaps-13 <https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-idr-tunnel-encaps-13&data=02%7C01%7Clinda.dunbar%40futurewei.com%7Ce81eecd6b79a4bd3ec5708d70eb301ae%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636994034308649731&sdata=paB0kDdY%2FjWTXRqrONIxn99qxwlXaD3baIiM9xTAzeE%3D&reserved=0> 

All,

Thanks,

Acee

Hi John, all

Instead of:

       Family.

Maybe:

  

Regards,

Keyur

(As a contributor) 

—John

On Jun 12, 2019, at 12:58 PM, Keyur Patel <[email-masked]> wrote:

Hi Linda,

From: Linda Dunbar < <mailto:[email-masked]> [email-masked]>
Date: Wednesday, June 12, 2019 at 8:54 AM
To: John Scudder < <mailto:[email-masked]> [email-masked]>, Robert Raszuk < <mailto:[email-masked]> [email-masked]>
Cc: Keyur Patel < <mailto:[email-masked]> [email-masked]>, " <mailto:[email-masked]> [email-masked]" < <mailto:[email-masked]> [email-masked]>, " <mailto:[email-masked]> [email-masked]" < <mailto:[email-masked]> [email-masked]>
Subject: RE: [Idr] recap my questions and issues raised during IDR Thurs session for draft-ietf-idr-tunnel-encaps-12
Resent-From: < <mailto:[email-masked]> [email-masked]>

John and authors:

Abstract

<snip>

</snip>

Section 1.2

<snip>

</snip>

Section 1.3

<snip>

</snip>

Regards,

Keyur

Thank you very much. 

Linda 

 

 

From: John Scudder < <mailto:[email-masked]> [email-masked]> 
Sent: Wednesday, June 12, 2019 8:50 AM
To: Robert Raszuk < <mailto:[email-masked]> [email-masked]>
Cc: Keyur Patel < <mailto:[email-masked]> [email-masked]>; Linda Dunbar < <mailto:[email-masked]> [email-masked]>;  <mailto:[email-masked]> [email-masked];  <mailto:[email-masked]> [email-masked]
Subject: Re: [Idr] recap my questions and issues raised during IDR Thurs session for draft-ietf-idr-tunnel-encaps-12

On Jun 12, 2019, at 6:07 AM, Robert Raszuk < <mailto:[email-masked]> [email-masked]> wrote:

(As a co-chair)

Regards,

—John

---

From: "Ali Sajassi (sajassi)" <[email-masked]>
Date: Mon, 22 Jul 2019 15:14:13 +0000

Hi Linda,

The tunnel encap draft allows for new sub-tlvs (or tlvs) to be defined for future uses and the draft says so. So, if there are any “WAN port properties” deemed necessary and are not currently covered, a new draft can be written with the Tunnel Encap framework in mind to define these sub-tlvs.

Cheers,
Ali

From: Idr <[email-masked]> on behalf of Linda Dunbar <[email-masked]>
Date: Monday, July 22, 2019 at 7:52 AM
To: Keyur Patel <[email-masked]>, "Acee Lindem (acee)" <[email-masked]>, John Scudder <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Robert Raszuk <[email-masked]>
Subject: Re: [Idr] recap my questions and issues raised during IDR Thurs session for draft-ietf-idr-tunnel-encaps-12

Keyur,

Linda

Folks,

Best Regards,
Keyur

All,

Hi John, all

Regards,
Keyur

(As a contributor)

—John

Hi Linda,

John and authors:

Abstract
<snip>

</snip>

Section 1.2
<snip>

Section 1.3
<snip>

</snip>
Regards,
Keyur

Thank you very much.

Linda

(As a co-chair)

Regards,

—John

---

From: "Ali Sajassi (sajassi)" <[email-masked]>
Date: Mon, 22 Jul 2019 15:15:31 +0000

+1

-Ali

From: Idr <[email-masked]> on behalf of Susan Hares <[email-masked]>
Date: Monday, July 22, 2019 at 7:59 AM
To: 'Linda Dunbar' <[email-masked]>, 'Keyur Patel' <[email-masked]>, "Acee Lindem (acee)" <[email-masked]>, 'John Scudder' <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, 'Robert Raszuk' <[email-masked]>
Subject: Re: [Idr] recap my questions and issues raised during IDR Thurs session for draft-ietf-idr-tunnel-encaps-12

Linda and Keyur:
<chair hat on>

<chair hat off>

Cheerily, Susan Hares

Keyur,

Linda

Folks,

Best Regards,
Keyur

All,

Hi John, all

Regards,
Keyur

(As a contributor)

—John

Hi Linda,

Cc: Keyur Patel <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "draft-ietf-idr-tunnel-encaps@ietf..org<mailto:[email-masked]>" <draft-ietf-idr-tunnel-encaps@ietf..org<mailto:[email-masked]>>

John and authors:

Abstract
<snip>

</snip>

Section 1.2
<snip>

Section 1.3
<snip>

</snip>
Regards,
Keyur

Thank you very much.

Linda

(As a co-chair)

Regards,

—John

---

From: John Scudder <[email-masked]>
Date: Mon, 22 Jul 2019 15:20:38 +0000

Of course, I agree.

Thanks,

—John

On Jul 22, 2019, at 10:56 AM, Susan Hares <[email-masked]<mailto:[email-masked]>> wrote:

Linda and Keyur:
<chair hat on>

<chair hat off>

Cheerily, Susan Hares

Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Robert Raszuk

Keyur,

Linda

From: Idr <[email-masked]<mailto:[email-masked]>> On Behalf Of Keyur Patel
Sent: Monday, July 22, 2019 9:43 AM
To: Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>>; John Scudder <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Robert Raszuk <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Idr] recap my questions and issues raised during IDR Thurs session for draft-ietf-idr-tunnel-encaps-12

Folks,

Best Regards,
Keyur

https://datatracker.ietf.org/doc/html/draft-ietf-idr-tunnel-encaps-13<https://urldefense.proofpoint.com/v2/url?u=https-3A__nam03.safelinks.protection.outlook.com_-3Furl-3Dhttps-253A-252F-252Fdatatracker.ietf.org-252Fdoc-252Fhtml-252Fdraft-2Dietf-2Didr-2Dtunnel-2Dencaps-2D13-26data-3D02-257C01-257Clinda.dunbar-2540futurewei.com-257Ce81eecd6b79a4bd3ec5708d70eb301ae-257C0fee8ff2a3b240189c753a1d5591fedc-257C1-257C0-257C636994034308649731-26sdata-3DpaB0kDdY-252FjWTXRqrONIxn99qxwlXaD3baIiM9xTAzeE-253D-26reserved-3D0&d=DwMFaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=hLt5iDJpw7ukqICc0hoT7A&m=XrNEw6RFTG_X7nc680MYq_gv9GT_c5mjtKrMud4V5W8&s=OkTc9A59FPPZxdGBWr6zUfBRl_vJbUG4v54KbJU2XLs&e=>

All,

Hi John, all

Regards,
Keyur

(As a contributor)

—John

Hi Linda,

John and authors:

Abstract
<snip>

</snip>

Section 1.2
<snip>

Section 1.3
<snip>

</snip>
Regards,
Keyur

Thank you very much.

Linda

(As a co-chair)

Regards,

—John

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 22 Jul 2019 15:33:15 +0000

As do I. There are now multiple examples of draft that extend the tunnel encaps draft in both the IDR and BESS working groups.
Thanks,
Acee

From: John Scudder <[email-masked]>
Date: Monday, July 22, 2019 at 11:21 AM
To: Susan Hares <[email-masked]>
Cc: Linda Dunbar <[email-masked]>, Keyur Patel <[email-masked]>, Acee Lindem <[email-masked]>, IDR List <[email-masked]>, "[email-masked]" <[email-masked]>, Robert Raszuk <[email-masked]>
Subject: Re: [Idr] recap my questions and issues raised during IDR Thurs session for draft-ietf-idr-tunnel-encaps-12

Of course, I agree.

Thanks,

—John

Linda and Keyur:
<chair hat on>

<chair hat off>

Cheerily, Susan Hares

Keyur,

Linda

Folks,

Best Regards,
Keyur

All,

Hi John, all

Regards,
Keyur

(As a contributor)

—John

Hi Linda,

John and authors:

Abstract
<snip>

</snip>

Section 1.2
<snip>

Section 1.3
<snip>

</snip>
Regards,
Keyur

Thank you very much.

Linda

(As a co-chair)

Regards,

—John